settings
Usage
// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.SearchDictionaryEntriesAsync(
Enum.Parse<DictionaryType>("Stopwords"),
new SearchDictionaryEntriesParams { Query = "about" }
);
// print the response
Console.WriteLine(response);
// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.searchDictionaryEntries(
dictionaryName: DictionaryType.fromJson("stopwords"),
searchDictionaryEntriesParams: SearchDictionaryEntriesParams(
query: "about",
),
);
// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.SearchDictionaryEntries(client.NewApiSearchDictionaryEntriesRequest(
search.DictionaryType("stopwords"),
search.NewEmptySearchDictionaryEntriesParams().SetQuery("about")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)
// parameters
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
SearchDictionaryEntriesResponse response = client.searchDictionaryEntries(
DictionaryType.STOPWORDS,
new SearchDictionaryEntriesParams().setQuery("about")
);
// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.searchDictionaryEntries({
dictionaryName: 'stopwords',
searchDictionaryEntriesParams: { query: 'about' },
});
// print the response
console.log(response);
// parameters
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.searchDictionaryEntries(
dictionaryName = DictionaryType.entries.first { it.value == "stopwords" },
searchDictionaryEntriesParams = SearchDictionaryEntriesParams(query = "about"),
)
// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->searchDictionaryEntries(
'stopwords',
['query' => 'about',
],
);
// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.search_dictionary_entries(
dictionary_name="stopwords",
search_dictionary_entries_params={
"query": "about",
},
)
# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.search_dictionary_entries(
"stopwords",
Algolia::Search::SearchDictionaryEntriesParams.new(query: "about")
)
# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.searchDictionaryEntries(
dictionaryName = DictionaryType.withName("stopwords"),
searchDictionaryEntriesParams = SearchDictionaryEntriesParams(
query = "about"
)
),
Duration(100, "sec")
)
// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.searchDictionaryEntries(
dictionaryName: DictionaryType.stopwords,
searchDictionaryEntriesParams: SearchDictionaryEntriesParams(query: "about")
)
// print the response
print(response)
See the full API reference
For more details about input parameters
and response fields.